# Powers of Automation 2.0 - SOLUTION EXAMPLE
# Created by Watson (@LewisNWatson)

from pwn import *

context.update(arch='i386', os='linux')

conn = remote('127.0.0.1', 6000)  # Connects to localhost (change 127... to correct IP)

rangeMax = 1000000001
rangeMin = 0


while True:

    guess = (rangeMax-rangeMin)//2 + rangeMin
    conn.sendline(str(guess))
    conn.recvline()
    result = conn.recvline()

    if result == b'Too low!\r\n':
        rangeMin = guess
    elif result == b'Too high!\r\n':
        rangeMax = guess
    else:
        if result == b'Guess a number between 1 and 1,000,000,000: Too low!\r\n' or result == b'Guess a number between 1 and 1,000,000,000: Too high!\r\n':
            print(result)
            continue
        else:
            print(result)
            conn.close()
            exit()

    print("guess: " + str(guess) + " range: " + str(rangeMin) + "-" + str(rangeMax) + " result: " + str(result))
